Subject: Re: weird network problem - stalls, reload works

From: Jarek Poplawski <[email-masked]>
Date: Tue, 07 Dec 2010 20:20:57 +0100

Michael Tokarev wrote:
> Hello.
Hi,
> 
> I've a weird networking problem here, which I'm
> trying to hunt for some time.
...
> So I'm quite stuck here, and don't know what to do next.
> My next bet is to try another motherboard, in a hope that
> this is just some broken interrupt controller, but it is
> a bit too unreal...
> 
> Any hints on what to try are greatly apprecated...

You might try the usual stuff like in linux-2.6/REPORTING-BUGS ;-)
Plus maybe some debugging turned on in the config (DMA?) and
driver (s/#if 0/#if 1/ around line 69 in forcedeth.c). Btw, it
seems there should be some watchdog traces in logs around those
stalled pings.

Cheers,
Jarek P.